Aller au contenu
ElementaryOS France
  • 0
benoit

Installation d'un paquet - débutant.

Question

Bonjour, voilà je suis débutant/nouveau sur Linux et je commence à me familiariser avec le système Loki. Je rencontre un problème de base pour installer un paquet de données compressés (7zp) car une fois décompressé je souhaite l'installer par une méthode simple et duplicable pour d'autres paquets. J'ai un peu regarder sur le site d'ubuntu mais je suis un peu perdu... Merci par avance pour votre aide.

Partager ce message


Lien à poster
Partager sur d’autres sites

10 réponses à cette question

Recommended Posts

  • 0

Hello @benoit,

Je ne suis pas sur de tout saisir; je vais récapituler pour être sûr d'avoir tout compris : tu as une archive au format 7z que tu as décompréssé, maintenant, tu souhaiterais l'installer ?

Tu ne donnes hélas pas assez d'information, peux-tu nous dire depuis quel site tu as téléchargé ton archive 7z ?

Nikos

Partager ce message


Lien à poster
Partager sur d’autres sites
  • 0

Bonsoir, voilà en fait j'ai voulu telecharger un programme pour redimensionner des photos (pimagizer) et le fichier de telechargement avait une extension en .deb (j'ai cru qu'il était compressé). Après coup j'ai trouvé la solution en installant "Eddy" via le centre d'applications. Et encore après pour les fichiers zippés j'ai installé le gestionnaire d'archive "ark" qui gère ça bien j'ai l'impression... du coup, ça fonctionne de ce côté là ! ;-) 

Passer à linux c'est un changement de paradigme en informatique ! Avec mes habitudes sur windows je suis en train de changer d'habitudes comme par ex. passer à Libre office et abandonner La suite Office , utiliser le Terminal (pour l'instant je me contente de copier/coller des lignes de commande!)

Du coup j'ai quelques questions, j'ai installé le logiciel "pimagizer" correctement mais impossible de le lancer:  je clique sur l'icône, il tremblotte mais rien ne s'ouvre ? Est-ce que c'est à cause du système ? J'ai aussi des difficultés avec les proportions de mon navigateur (firefox) au niveau des caractères, zoom,.... s'il y a des astuces je suis preneur !

Allez, c'est le début, je m'accroche ! J'ai déjà récupérer tous mes mails avec la sauvegarde de thunderbird et tous mes favoris du navigateur firefox sauf les mots de passes enregistrés ! (je les récupère un à un ...ça fait un paquets de récupération :-) !!!)

Merci pour votre aide, bonne soirée !

Partager ce message


Lien à poster
Partager sur d’autres sites
  • 0

Hello @benoit,

Le saut peut paraître impressionnant mais les membres de ce forum sont là pour t'aider si tu as des questions.

Concernant le gestionnaire d'archives, tu disposes déjà d'un gestionnaire de ce type au sein d'elementary OS et il porte le nom de... gestionnaire d'archives. Tu pourras remarquer que les applications ne portent pas de nom propre (p. ex : WinZip, WinRAR, Nero ou autres) mais adoptent le nom de leur fonctionnalité, par exemple pour envoyer un mail, tu vas te servir de l'application Mail.

Pour gérer tes fichiers, ça sera via Fichiers.

Concernant pimagizer, télécharger et installer le deb (note : cette remarque n'est valable que pour les débutants, il ne faut pas le prendre mal) n'est pas forcément une bonne idée quand on ne connaît pas les différentes distributions Linux : en effet, un package valable pour Debian pourrait ne pas fonctionner sous Ubuntu ni elementary OS (c'est encore plus vrai quand les versions ne sont pas indiquées).

En l’occurrence, dans ton cas, je soupçonne un potentiel soucis de dépendance; la version de ton package deb semble convenir à elementary OS (j'ai fait aussi l'installation).

Il est possible de générer des journaux d'une application pour analyser ce qui ne veut pas. Pour cela, il te faut ouvrir le programme Terminal puis depuis ce programme, lancer l'application suivante :

pimagizer

Tu vas avoir tout un ensemble de lignes qui seront affichées, il te suffit de copier/coller ces lignes dans un message suivant, je pourrais t'en dire plus.

Pour la partie Navigateur, on abordera le sujet sur un autre poste (de mon côté, je "navigue" entre différentes machines et OS en embarquant mon profile, je n'ai pas ainsi à les recopier et ça c'était avant Firefox Sync. Avec Firefox Sync, tu as juste à te connecter ton compte Firefox pour synchroniser : tes onglets, ton historique et tes passwords.

Cordialement,

Nikos

 

Partager ce message


Lien à poster
Partager sur d’autres sites
  • 0

Bonsoir, merci pour ta réponse et tes conseils Nikos.

Effectivement, pour Firefox, Sync est bien pratique ;-) !

Voici ce que m'affiche le terminale pour pimagizer:

Traceback (most recent call last):
  File "/usr/bin/pimagizer", line 3, in <module>
    from gi.repository import Gtk,Gdk,GObject,GLib
ImportError: No module named gi.repository

Sur le site officiel, j'ai choisi la dernière version 0.4.2 en .deb, peut-être qu'une version plus ancienne et/ou en .tar.gz ou .rpm serait opérationnelle ? (je n'y connais pas grand chose à vrai dire)

Salutations.

 

Partager ce message


Lien à poster
Partager sur d’autres sites
  • 0

Re-

J'ai désintaller pimagizer puis j'ai télécharger le fichier .tar.gz (?) et j'ai utilisé le gestionnaire de fichier pour extraire le dossier mais après je me retrouve avec un  fichier pimagizer mais je ne sais pas comment l'installer. J'ai ouvert le fichier setup.py dans une fenêtre ou apparait du code (?), après ça je ne sais quoi faire ...

Partager ce message


Lien à poster
Partager sur d’autres sites
  • 0
Le 2/4/2018 à 18:16, benoit a dit :

Bonsoir, merci pour ta réponse et tes conseils Nikos.

Effectivement, pour Firefox, Sync est bien pratique ;-) !

Voici ce que m'affiche le terminale pour pimagizer:

Traceback (most recent call last):
  File "/usr/bin/pimagizer", line 3, in <module>
    from gi.repository import Gtk,Gdk,GObject,GLib
ImportError: No module named gi.repository

Sur le site officiel, j'ai choisi la dernière version 0.4.2 en .deb, peut-être qu'une version plus ancienne et/ou en .tar.gz ou .rpm serait opérationnelle ? (je n'y connais pas grand chose à vrai dire)

Salutations.

 

Hello @benoit,

C'est bien ce que je pensais, Eddy ne satisfait pas les dépendances lors de l'installation de package deb semblerait-il.

L'installation d'un fichier deb à la main (via dpkg) ne permet pas d'installer les dépendances, dans ton cas, c'est bien cela. Malheureusement pimagizer n'est pas disponible sur l'Application Center.

Pour te permettre d'installer ton package DEB, il te faut le programme gdebi, pour cela tu as deux possibilités :

  • Installer via la ligne de commande  (ce que je te recommande) : sudo apt install gdebi
  • Passer par le Centre d'Applications : appstream://gdebi (pour ce lien, il peut ne pas fonctionner, cela dépend de ton navigateur; dans le cas où cela fonctionne, tu auras plusieurs fois le même programme, il faut bien regarder la description de chacun de ces logiciels, il y en à un qui est prévu pour KDE, ce n'est pas celui-ci qu'il faut installer).

Suite à cette installation, tu pourras trouver Gdebi dans la liste des Applications et tu pourras ensuite installer ton deb comme il faut.

Tu vas y arriver, n'hésite pas à nous donner des news.

Nikos

Partager ce message


Lien à poster
Partager sur d’autres sites
  • 0

Bonsoir Nikos,

Alors y'a du nouveau ;-) ;

En fait, j'ai installé Gdebi par l'invité de commande (impécable) et ensuite j'ai voulu installé la version de pimagizer de source.org (3.0) et le même problème de dépendance s'est produit puisque j'ai l'icône mais le programme ne se lance pas ensuite j'ai taper "pimagizer" dans l'inv. de commande comme la drnière fois et j'ai le même rapport qui s'affiche à la virgule près.

Par contre, comme je commence à bidouiller pas mal, j'ai voulu installer stacer (un genre de ccleaner en .deb aussi) et là pas de soucis, le gestionnaire a parfaitement fonctionné et le programme tourne impécable.

Autre chose, j'ai essayé de créer une machine virtuelle avec virtualbox (dispo dans le centre d'application) mais à la fin quand je démarre l'iso ça fige l'ecran et là plus rien à faire ! j'ai du éteindre manuellement avec le bouton d'alimentation enfoncé longtemps (à la sauvage quoi!).

Du coup, j'ai 2/3 questions: est-ce que tu sais si virtualbox fonctionne avec elementaryos (à priori oui mais bon!) ? Aussi, est-ce que tu connaitrais pas un tuto bien fait pour ceux qui l'utiliserait depuis linux (système hôte) car sur youtube ça part toujours de windows et j'ai eu quelques petites différences pendant la config. ? Enfin, j'ai un message d'erreur pour une mise à jour du système depuis que j'ai bidouillé avec virtualbox, il est écrit:

Erreur lors de la récupération des mises à jour:

Two few item to process

Ceci peut-être provoqué par un dépôt externe ajouté manuellement ou un fichier corrompu.

Détails:

W: The repository 'http://download.virtualbox.org/virtualbox/debian loki Release' does not have a Release file.
W: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.


W: See apt-secure(8) manpage for repository creation and user configuration details

Voilà, ça fait quelques petits soucis mais j’essaie des trucs, merci pour ton aide avisé.

@ plus !

Partager ce message


Lien à poster
Partager sur d’autres sites
  • 0

Hello @benoit,

On va y aller dans l'ordre, sujet par sujet (il sera plus simple d'ouvrir un autre poste avec tes autres soucis). Juste pour confirmation, une fois l'installation terminée de gdebi, tu l'as lancé puis fait l'installation de ton package deb à travers gdebi ?

Cordialement,

Nikos

 

Partager ce message


Lien à poster
Partager sur d’autres sites
  • 0
Il y a 3 heures, Nikos a dit :

Hello @benoit,

On va y aller dans l'ordre, sujet par sujet (il sera plus simple d'ouvrir un autre poste avec tes autres soucis). Juste pour confirmation, une fois l'installation terminée de gdebi, tu l'as lancé puis fait l'installation de ton package deb à travers gdebi ?

Cordialement,

Nikos

 

Salut Nikos, oui c'est bien ça. j'ai ouvert le paquet avec gdebi. Peut-être la version? J'ai aussi potasser APT pour nettoyer ou réparer les paquets.

Partager ce message


Lien à poster
Partager sur d’autres sites
  • 0

Le plus embêtant je crois c'est le fait que je ne puisse pas faire les mises à jour système comme indiqué en violet dans le post précédent. J'ai installé virtualbox et ça marche bien sinon.

Partager ce message


Lien à poster
Partager sur d’autres sites

Créer un compte ou se connecter pour commenter

Vous devez être membre afin de pouvoir déposer un commentaire

Créer un compte

Créez un compte sur notre communauté. C’est facile !

Créer un nouveau compte

Se connecter

Vous avez déjà un compte ? Connectez-vous ici.

Connectez-vous maintenant

×